This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 461991 - (rhm-examples) Review Request: rhm-examples review request
Review Request: rhm-examples review request
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nuno Santos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 15:15 EDT by Ted Ross
Modified: 2013-10-19 10:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-14 14:32:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nsantos: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2008-09-11 15:15:21 EDT
http://people.apache.org/~tross/rhm-examples-0.2.656926-6.fc9.src.rpm 

Source code examples for RHM
Comment 1 Nuno Santos 2008-09-11 16:25:43 EDT
rhm-examples-0.2.656926-6.fc9.src.rpm

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
NA - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
NA - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK - use acronyms for licences where common
OK * specfile name matches %{name}

NO * verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah

- paths for checkout are incorrect, missing a "qpid" after "trunk"

OK * skim the summary and description for typos, etc.
OK * correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK * if %{?dist} is used, it should be in that form (note the ? and %locations)
OK * license text included in package and marked with %doc
NA * keep old changelog entries; use judgement when removing (too old? useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
OK * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

$rpmlint /var/lib/mock/fedora-rawhide-i386/result/rhm-examples-0.2.656926-6.fc10.src.rpm 
rhm-examples.src: W: invalid-license LGPL

 (LGPL is an acceptable license)

OK * changelog should be in one of these formats:
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax. [...]
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
 - this is largely subjective; use your judgement
OK * package successfully compiles and builds on at least x86
OK * BuildRequires are proper
 - builds in mock will flush out problems here
OK * summary should be a short and concise description of the package
OK * make sure lines are <= 80 characters
OK * specfile written in American English
NA * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
OK * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
OK * verify the final provides and requires of the binary RPMs
NO * run rpmlint on the binary RPMs

- there are a number of warnings, such as spurious-executable-perm and doc-file-dependency

SHOULD:
OK * package should include license text in the package and mark it with %doc
OK * package should build on i386
OK * package should build in mock
Comment 2 Ted Ross 2008-09-11 16:39:54 EDT
The following link references a package that addresses the above issues.
It is rebased to same version as the qpidc package.

http://people.apache.org/~tross/rhm-examples-0.2.693548-1.fc10.src.rpm
Comment 3 Nuno Santos 2008-09-11 16:49:31 EDT
* paths for checkout are incorrect, missing a "qpid" after "trunk"
 -> fixed

*- sources verified:
$ md5sum rhm-examples-0.2.693548.tar.gz
218d3e0f8bde3dbe611486f3054fc36c  rhm-examples-0.2.693548.tar.gz

* run rpmlint on the binary RPMs

$ sudo mock rhm-examples-0.2.693548-1.fc10.src.rpm 
INFO: mock.py version 0.9.9 starting...
State Changed: init plugins
State Changed: start
INFO: Start(rhm-examples-0.2.693548-1.fc10.src.rpm)  Config(fedora-rawhide-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(rhm-examples-0.2.693548-1.fc10.src.rpm) Config(default) 0 minutes 19 seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-rawhide-i386/result

$ rpmlint /var/lib/mock//fedora-rawhide-i386/result/rhm-examples-0.2.693548-1.fc10.noarch.rpm 
rhm-examples.noarch: W: invalid-license LGPL
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

 (LGPL is an acceptable license)


Looks good now, I'm marking as fedora-review+
Comment 4 Ted Ross 2008-09-11 16:59:22 EDT
New Package CVS Request
=======================
Package Name: rhm-examples
Short Description: Source code examples for RHM
Owners: tross nsantos
Branches: 
InitialCC:
Comment 5 Huzaifa S. Sidhpurwala 2008-09-11 23:11:35 EDT
Hi Ted,
It seems you are not in the packager group, You will need to be sponsored.
I am setting the sponsor flag, I apologize if i am wrong.
Comment 6 Kevin Fenzi 2008-09-20 20:37:55 EDT
Any news here? Feel free to email or catch me on irc if you need any assistance with the process of being sponsored. 

I am clearing the cvs flag here, feel free to reset it when you are ready.
Comment 7 David Timms 2008-09-21 04:51:04 EDT
(In reply to comment #3)
> $ rpmlint
> /var/lib/mock//fedora-rawhide-i386/result/rhm-examples-0.2.693548-1.fc10.noarch.rpm 
> rhm-examples.noarch: W: invalid-license LGPL
> 1 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
>  (LGPL is an acceptable license)
The acceptable LGPL license tags for fedora are available in:
https://fedoraproject.org/wiki/Licensing
and summarized:
LGPLv2+
LGPLv2
LGPLv2 with exceptions
LGPLv2+
LGPLv2+ with exceptions
LGPLv3
LGPLv3 with exceptions
LGPLv3+
LGPLv3+ with exceptions
so if the above guideline is correct, LGPL is not a suitable value for this tag. There is some notes that describe what the tag should be.
Comment 8 Nuno Santos 2011-06-14 14:32:12 EDT
No longer relevant

Note You need to log in before you can comment on or make changes to this bug.